Subject: bug#64791: 30.0.50; [PATCH] Fix dired mismatch on some filenames

From: Stefan Kangas <[email-masked]>
Date: Tue, 5 Sep 2023 14:57:52 -0700

Po Lu <[email-masked]> writes:

> GNU ls is a compatible replacement for Unix ls, the installation of
> which shouldn't produce problems on Unix systems.  I've been installing
> it from the coreutils tarball since it was still named fileutils,
> without any ill effect.

I assume you do this on your BSD machines, so I'll take your word for
it.  I wouldn't be brave enough, myself.

In any case, I'm confident that most BSD users will use ports rather
than replacing their BSD userland with the GNU one, and we have
established that ports names it "gls".

Let's worry about the 99.99 % of use cases here.

>>> Favoring `gls' over `ls' will lead to Emacs overlooking a
>>> potentially
>>> newer Coreutils installation as long as one from the package manager
>>> is already present.
>>
>> I don't think I understand what situation you have in mind here.
>
> Where /usr/local/bin/gls is older than another installation of
> coreutils.

Why would that be an issue?